Subject: [TR] TR4 glove box door

From: Brad Kahler <[email-masked]>
Date: Thu, 2 Oct 2014 09:16:48 -0400

The glove box door on my TR4 keeps popping open while driving.  I've looked
at the parts books to see if there is supposed be any sort of adjustable
bracket or plate that might be missing and none are indicated.

The sheet metal lip does not look to be bent or deformed and the tip of the
latch mechanism doesn't seem to be worn.  My only assumption is that over
there years there has been enough tweaking and twisting going on that there
just isn't enough contact between the latch and the metal tab.

Anyone have a been there done that solution?

Thanks!

Brad

** [email-masked] **

Archive: http://www.team.net/archive